IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Product services

Services included in the booking form of a unit

The product service object

Attributes

iduuid

Unique identifier

product_iduuid
products.id

Identifier of the related unit

service_iduuid
services.id

Identifier of the related service

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

orderinteger

Order of the service in the booking form of the unit

The product service object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "service_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:54:55.878Z",
  "updated_at": "2026-03-12T06:54:55.878Z",
  "order": 0
}

List product services

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Responses

200

A list of product services with the selected columns

206

Partial Content

GET /product_services
curl -X GET "https://api.bookingmood.com/v1/product_services?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create product services

Body

Partial<ProductService> | Array<Partial<ProductService>>

Responses

201

The newly created product services with the selected columns

POST /product_services
curl -X POST "https://api.bookingmood.com/v1/product_services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete product services

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Responses

204

The deleted product services with the selected columns

DELETE /product_services
curl -X DELETE "https://api.bookingmood.com/v1/product_services" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update product services

Filters

idFilter<uuid>

Unique identifier

product_idFilter<uuid>
products.id

Identifier of the related unit

service_idFilter<uuid>
services.id

Identifier of the related service

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

orderFilter<integer>

Order of the service in the booking form of the unit

Body

Partial<ProductService>

Responses

204

The updated product services with the selected columns

PATCH /product_services
curl -X PATCH "https://api.bookingmood.com/v1/product_services" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'